Subject: Re: 20040422 snapshot and filenames ending with . (was: Re: errors using DB_File perl module under 20040422 snapshot)
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Fri, 30 Apr 2004 14:53:06 -0700

On Wed, Apr 28, 2004 at 12:02:21PM -0700, Yitzchak Scott-Thoennes wrote:
> On Tue, Apr 27, 2004 at 02:45:38AM -0700, Yitzchak Scott-Thoennes wrote:
> > you can create files ending with a . which are
> > not stat'able unless another file exists with the same name without
> > the dot. (and even then rm on the dotted name removes the non-dotted
> > file):
> > 
> > $ cat >foo.
> > bar
> > ^D
> > $ ls -l foo.
> > ls: foo.: No such file or directory
> > 
> > $ ls -l foo
> > ls: foo: No such file or directory
> 
> Would it help to try multiple snapshots and see where this broke?  I
> already had the 20040416 and 20040420 ones and they both fail (but
> 1.5.9 is ok)?  I was really hoping for a "already fixed in CVS"
> response :), is there anything I can do to help track this down?

This is fixed by the 20040430 snapshot; thanks, Corinna

(though I wonder if it would be possible to consistently allow
filenames to end in a . on ntfs, since it seems you can actually
create separate "foo" and "foo.").

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/